---
# file: tasks/02-install_common_packages.yml

- name: "02.1.(apt) - install the latest version of various packages on the host"
  apt:
    name: "{{ preparesys_system_packages|select()|list }}"
    state: latest
  become: True
  when:
    - ansible_os_family|lower == 'debian'

- name: "02.1.(yum) - install the latest version of various packages on the host"
  yum:
    name: "{{ preparesys_system_packages|select()|list }}"
    state: latest
  become: True
  when:
    - ansible_os_family|lower == 'redhat'

- name: "02.1.(apk) - install the latest version of various packages on the host"
  apk:
    name: "{{ preparesys_system_packages|select()|list }}"
    update_cache: True
    state: latest
  become: True
  when:
    - ansible_os_family|lower == 'alpine'
